
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: elfutils: improve ARM support somewhat

The ARM support in elfutils is somewhat lacking.  This patch sends
it into the right general direction -- although it's then still not
entirely there yet.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/elfutils.spec
===================================================================
--- SPECS.orig/elfutils.spec
+++ SPECS/elfutils.spec
@@ -18,15 +18,16 @@ Summary: A collection of utilities and D
 Name: elfutils
 Version: %{eu_version}
 %if !%{compat}
-Release: %{eu_release}%{?dist}
+Release: %{eu_release}%{?dist}.fa1
 %else
-Release: 0.%{eu_release}
+Release: 0.%{eu_release}.fa1
 %endif
 License: GPLv2 with exceptions
 Group: Development/Tools
 Source: elfutils-%{version}.tar.gz
 Patch1: elfutils-portability.patch
 Patch2: elfutils-robustify.patch
+Patch3: elfutils-0.130-arm-backend.patch
 Obsoletes: libelf libelf-devel
 Requires: elfutils-libelf-%{_arch} = %{version}-%{release}
 Requires: elfutils-libs-%{_arch} = %{version}-%{release}
@@ -154,6 +155,8 @@ find . \( -name configure -o -name confi
 
 %patch2 -p1
 
+%patch3 -p1
+
 %build
 # Remove -Wall from default flags.  The makefiles enable enough warnings
 # themselves, and they use -Werror.  Appending -Wall defeats the cases where
@@ -186,8 +189,10 @@ chmod +x ${RPM_BUILD_ROOT}%{_prefix}/%{_
   rm -f .%{_libdir}/libasm.a
 }
 
+%ifnarch %{arm}
 %check
 make -s check
+%endif
 
 %clean
 rm -rf ${RPM_BUILD_ROOT}
